Skip to main content
GET
/
api
/
v1
/
payments
/
subscriptions
List All Subscriptions
curl --request GET \
  --url https://api.devkit4ai.com/api/v1/payments/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "subscriptions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_name": "<string>",
      "is_test_mode": true,
      "subscription_id": "<string>",
      "status": "<string>",
      "quantity": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "provider": "stripe",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_id": "<string>",
      "plan_name": "<string>",
      "current_period_start": "2023-11-07T05:31:56Z",
      "current_period_end": "2023-11-07T05:31:56Z",
      "cancel_at": "2023-11-07T05:31:56Z",
      "cancelled_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123
}

Documentation Index

Fetch the complete documentation index at: https://devkit4ai.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

project_id
string<uuid> | null

Filter by project

test_mode
boolean | null

Filter by test mode

status
string | null

Filter by status

page
integer
default:1
Required range: x >= 1
page_size
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

Paginated list of subscriptions across projects.

subscriptions
AggregatedSubscriptionResponse · object[]
required
total
integer
required
page
integer
required
page_size
integer
required